#ifndef MISCCONFIG_H
#define MISCCONFIG_H

#include <qobject.h>
#include "qt_version.h"
#if QT_VERSION < 0x040000
#include <qmainwindow.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#else
#include <QMainWindow>
#include <QGridLayout>
#include <QLineEdit>
#include <QLabel>
#include <QCheckBox>
#endif
#include "qt_version.h"
#include "qprofile.h"

class MiscConfig : public QWidget
{
	Q_OBJECT
			
	public:
		MiscConfig();
		
		void setSelectedProfile(QProfile * p);
		
		void updateProfile(QProfile * p);
	
	public slots:
		
	protected:
		
		QCheckBox * debugBox;
		QCheckBox * qrtnDebugBox;
};

#endif
