//
//  xrefs.h
//  Header file with cross reference name definitions
//
//  Janet Barnes
//  Mar 2000
//

#ifndef XREFS_H
#define XREFS_H

namespace QSAS{

#define DEPEND_0 "DEPEND_0"
#define DEPEND_END_0 "Depend_end_0"
#define DEPEND_1 "DEPEND_1"
#define DEPEND_END_1 "Depend_end_1"
#define DEPEND_2 "DEPEND_2"
#define DEPEND_END_2 "Depend_end_2"
#define DEPEND_3 "DEPEND_3"
#define DELTA_PLUS "Delta_plus"
#define DELTA_MINUS "Delta_minus"
#define LABEL_1  "Label_1"
#define LABEL_2  "Label_2"
#define LABEL_3  "Label_3"
#define LABL_PTR_1  "LABL_PTR_1"
#define LABL_PTR_2  "LABL_PTR_2"
#define LABL_PTR_3  "LABL_PTR_3"
#define TIME_TAGS "Time_tags"
#define GLOBALS "Global_Attributes"
#define FIELDNAM "FIELDNAM"
#define UNITS "UNITS"
#define LABLAXIS "LABLAXIS"
#define SCALEMIN "SCALEMIN"
#define SCALEMAX "SCALEMAX"
#define VALIDMIN "VALIDMIN"
#define VALIDMAX "VALIDMAX"
#define SCALETYP "SCALETYP"
#define FRAME "Frame"
#define SI_CONVERSION "SI_conversion"
#define PTR_VAR_NAME "Ptr_var_name"
#define DATA_SOURCE "Data_source"
#define HALF_INTERVAL "Half_interval"
#define HALF_SAMPLE_PERIOD "Half_sample_period" 
#define DATA_TYPE "Data_type"
#define GAP_TOLERANCE "Gap_Tolerance"
#define FILL_VALUE "FILLVAL"
#define INTERP_METHOD "Interp_Method"
#define BOXCAR_WIDTH "Boxcar_Width"
#define GAP_METHOD "Gap_Method"
#define PARENT_FILES "Parents"
#define OBJECT_NAME "ObjectName" 
#define PARENT_ID "_Parent_id" 
#define SC_ID "SC_id"
#define REPRESENTATION_1 "REPRESENTATION_1"
#define REPRESENTATION_2 "REPRESENTATION_2"
#define REPRESENTATION_3 "REPRESENTATION_3"
#define TENSOR_ORDER "Tensor_Order"
#define COORDINATE_SYSTEM "Coordinate_System"


} // end namespace QSAS

#endif
