//
//  DummyArg.h
//
//  Dummy argument class used by Matrix indexing for specifying all the elts 
//  in a particular dim
//
//  Janet Barnes
//  March 2000
//

#ifndef QDOS_DUMMYARG_H
#define QDOS_DUMMYARG_H

namespace QDOS {

class DummyArg {
public:
  int _dummyval;  
  DummyArg(void){_dummyval=0;}
};    

extern const DummyArg all;  // defined in Matrix.cc

} // end namespace QDOS

#endif // #ifndef QDOS_DUMMYARG_H
