#ifndef TEST_WINDOW_H
#define TEST_WINDOW_H

#include <QMainWindow>
#include <QAction>
#include <QMenuBar>
#include <math.h>
#include "QtPLWidget.h"

void test();

class testWindow : public QMainWindow
{
    Q_OBJECT

    public:
        testWindow(int width=500, int height=500, QWidget* parent=NULL)
        {
            plot=new QtPLWidget;
            setCentralWidget(plot);
            
            QAction * button=new QAction("test plot...", this);
        
            connect(button, SIGNAL(triggered()), this, SLOT(buttonClicked()));
        
            menuBar()->addAction(button);
            
            resize(500, 500);
            
            plsqtdev((void*)plot);
            plsdev ("qt");
            plinit();
            
        }
        
        ~testWindow()
        {
            plend();
        }
		
        QtPLWidget * plot;
        
    public slots:
        
        void buttonClicked()
        {
            std::cout << "clicked" << std::endl;

//             PLFLT xmin=0.;
//             PLFLT xmax=1.;
//             PLFLT ymin=-1.;
//             PLFLT ymax=1.;
//             PLINT just=0;
//             PLINT axis=0;
//             PLFLT x[100];
//             PLFLT y[100];
//             
//             plcol0(3);
//             plenv (xmin, xmax, ymin, ymax, just, axis);
//             plcol0(1);
// 
//             for(int i=0; i<100; i++)
//             {
//                 x[i]=i/100.;
//                 y[i]=sin(x[i]*M_PI);
//             }
//             pllsty(2);
//             plline (100, x, y);
//             pllsty(1);
//             plcol0(2);
//             for(int i=0; i<100; i++)
//             {
//                 x[i]=i/100.;
//                 y[i]=-sin(x[i]*M_PI);
//             }
//             plline (100, x, y);
//             
//             x[0]=0; y[0]=0;
//             x[1]=0.5; y[1]=0;
//             x[2]=0.5; y[2]=0.5;
//             x[3]=0; y[3]=0.5;
//             plfill(4, x, y);
            test();
        }
};

#endif
